package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testConstructor(){
        Person person = new Person(1, "William");
        Assert.assertNotNull(person.id);
    }

    @Test
    public void testConstructorId(){
        Person person = new Person(1, "William");

        long actual = person.getId();
        long expected = 1;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetAndGetName(){
        Person person = new Person(1);

        person.setName("Bob");

        String expected = "Bob";
        String actual = person.getName();

        Assert.assertEquals(expected, actual);
    }
}
