package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudent {

    @Test
    public void testImplementation(){
        Student student = new Student(1, "William");

        student.learn(30);

        double expected = 30;
        double actual = student.totalStudyTime;

        Assert.assertEquals(expected, actual,0);
    }

    @Test
    public void testInheritance(){
        Student student = new Student(1);

        student.setName("William");

        String expected = "William";
        String actual = student.getName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testLearn(){
        Student student = new Student(1, "William");

        student.learn(2);

        Assert.assertEquals(2,student.getTotalStudyTime(), 0);
    }
}
