package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestZipCodeWilmington {

    ZipCodeWilmington zipCode = ZipCodeWilmington.getInstance();


    @Test
    public void testHostLectureID(){
        Student William = zipCode.students.studentList.get(38);

        zipCode.hostLecture(3, 39);

        double expected = 1;
        double actual = William.totalStudyTime;

        Assert.assertEquals(expected, actual, 0);
    }

    @Test
    public void testHostLecture(){
        Student William = zipCode.students.studentList.get(38);
        Instructor leon = zipCode.instructors.instructorsList.get(3);

        zipCode.hostLecture(leon, 39);

        double expected = 2;
        double actual = William.totalStudyTime;

        Assert.assertEquals(expected, actual, 0);
    }
}
