package io.zipcoder.interfaces;

public final class ZipCodeWilmington {

    private final static ZipCodeWilmington INSTANCE = new ZipCodeWilmington();

    Instructors instructors = Instructors.getInstance();
    Students students = Students.getInstance();

    public void hostLecture(Teacher teacher, double numberOfHours){

        Learner[] cohort = students.studentList.toArray(new Learner[students.studentList.size()]);

        teacher.lecture(cohort, numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours){
        //Teacher teacher = (Teacher) instructors.findById(id);
        Instructor teacher = instructors.instructorsList.get((int)id);

        Learner[] cohort = students.studentList.toArray(new Learner[students.studentList.size()]);

        teacher.lecture(cohort, numberOfHours);
    }


    private ZipCodeWilmington(){}
    public static ZipCodeWilmington getInstance(){
        return INSTANCE;
    }
}
